#include "scltypes.h"
#include "sclfuncs.h"
using namespace std;
using namespace scl;

int main()
{
  static INT_32BIT ix;
  INTEGER i;
  REAL    df, x;
  
  ix = 15;
  df = 15.5;
  for (i=0; i < 50; i++) {
    x=gchirv(df,&ix);
    cout << x << "\n";
  }
 
  cout << '\n';

  ix = 15;
  df = 15.5;
  for (i=0; i < 50; i++) {
    x=gchirv(df,ix);
    cout << x << "\n";
  }
  
  return 0;
}
